# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'qdsl/version'

Gem::Specification.new do |spec|
  spec.name          = 'qdsl'
  spec.version       = Qdsl::VERSION
  spec.authors       = ['Richard Cook']
  spec.email         = ['rcook@rcook.org']
  spec.summary       = %q{SQL query builder DSL for Ruby}
  spec.description   = %q{Think of it as "hygienic macros for SQL"}
  spec.homepage      = 'https://github.com/rcook/qdsl/'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 1.7'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'minitest'
end

