require_relative 'minitest_helper'

module Qdsl
  class QueryTest < Minitest::Test
    def setup
      @clients = Table.new(
        :clients,
        :id,
        :first_name,
        :last_name,
        :birthdate,
        :value0,
        :value1,
        :value2,
        :value3
      )
      @members = Table.new(
        :members,
        :id,
        :first_name,
        :middle_name,
        :last_name,
        :member_id
      )
      @colours = Table.new(
        :colours,
        :id,
        :name
      )
    end

    def assert_sql(expected, actual)
      expected.gsub! /\s*\n\s*/, ' '
      expected.strip!
      actual.gsub! /\s*\n\s*/, ' '
      actual.strip!
      assert_equal expected, actual
    end
  end
end

